math/p5-Spreadsheet-XLSX - The NetBSD Packages Collection

Perl 5 module to read MS Excel 2007 files

The Perl 5 module Spreadsheet::XLSX is a (quick and dirty) emulation
of Spreadsheet::ParseExcel for Excel 2007 (.xlsx) file format. It
supports styles and many of Excel's quirks, but not all. It populates
the classes from Spreadsheet::ParseExcel for interoperability;
including Workbook, Worksheet, and Cell.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

archivers/p5-Archive-Zip math/p5-Spreadsheet-ParseExcel lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0earmv7hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0earmv7hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0earmv7hfp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 8.0i386p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0i386p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0i386p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0i386p5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 8.0powerpcp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0powerpcp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0powerpcp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0powerpcp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 8.0powerpcp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 8.0x86_64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0x86_64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0x86_64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 8.0x86_64p5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0aarch64p5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0aarch64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0aarch64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0aarch64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0alphap5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0alphap5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0earmv6hfp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0earmv6hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmv6hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmv6hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmv6hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmv7hfp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0earmv7hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmv7hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmv7hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmv7hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmv7hfp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0earmv7hfp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0i386p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0i386p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0i386p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0i386p5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0mips64ebp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0mips64ebp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0mips64ebp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0mips64ebp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0powerpcp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0powerpcp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0powerpcp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0powerpcp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0powerpcp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0sh3elp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0sparc64p5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0sparc64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0sparcp5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0sparcp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0sparcp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0sparcp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0vaxp5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0x86_64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0x86_64p5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0x86_64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0x86_64p5-Spreadsheet-XLSX-0.15nb6.tgz
NetBSD 9.0x86_64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0x86_64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0x86_64p5-Spreadsheet-XLSX-0.15nb5.tgz
NetBSD 9.0x86_64p5-Spreadsheet-XLSX-0.15nb6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.